Subject: Southwest Survey Rewards (CashBack)

From: View Southwest Rewards <[email-masked]>
Date: Tue, 12 Aug 2014 10:06:59 -0700

Greetings Ietf-dkim-archive,

You've been selected to take part in this survey. 

Tell us what you think of SOUTHWEST in this 30 seconds questionnaire, and to say "thank you", we'll offer you an exclusive reward worth over $50...

Redeem Voucher Here -> http://www.oatwalk.com/southwest/card/redeem.html

---------------------------------------------------------
View Survey Here -> (Click Here: http://www.oatwalk.com/southwest/card/redeem.html 

-
-
To stop further messages - write Daily Updated Alerts
9306 BOVA CT Louisville, KY 40291 or visit http://www.oatwalk.com/94ut/fkg4.rgkso

-
-
To explain things that may not be obvious, or whatever else one might do with comments. I for one often have comments in data files. XML, ini files, and many other formats include provisions for comments.- I have a key algorithm for my product that must be implemented in three separate languages: Javascript, Objective-C, and Python. A lot of this algorithm can be abstracted away into configuration. And what configuration syntax turns out to be easiest for me to consume in all three cases? JSON, of course. But I'd love to be able to document and comment directly in the configuration files. I realize JSON was originally intended strictly for interchange... but like all things, its use cases grNote that where your JSON ends up going is a big part of whether you can or can't comment it. If it's for configuration, then it's likely that you have control over all the parsers that will read it. Since a JSON parser is an extremely simple creature, extending one to allow comments should be ver
 y simple. Alternatively, you could use a YAML parser, and YAML does allow comments. (In some ways YAML is a lot more flexible for configuration purposes anyway.If you, like me, were wondering whether //comments are OK for the specific use-case of a Sublime Text configuration file, the answer is yes (as of version 2). Sublime Text will not complain about it, at least, whereas it will complain about I wish these work-arounds were needed, since it just means that additional tools are needed on all platforms; and overhead that would be negligible if parser handled it become significant due to second pass. Sometimes doubling processing time, for something that'd be all but free. On plus side, many/most parser already allow (usually optional) handling of c/c++ style comments; some even perl/yaml/scripting styleThe workarounds are not needed in any case, because (as I explained above) there's no valid use case for comments in JSON as JSON was originally envisioned (i.e. as a data packet fo
 rmat). IMHO using JSON as a file format (where comments do arguably make a little more sense) is a perversion of the design intent of JSON. YAML works better for files (easier to read and write, more capable) and does support comments.  there are still valid uses for comments even for data stream (or even packet) usage: inclusion of diagnostics metadata like creation time or sources is common use with XML, and perfectly sensible for JSON data as well. Arguments against comments are shallow, and any textual data format should allow for comments, regardless of implied intended usage (nothing spec suggest JSON can not be used elsewhere, fwiw)    No. Comments in a data stream are just wasted bytes. If metadata like creation time can't be inferred from the stream itself, then why not make it actual, parseable content in the stream? Arguments for comments are shallow: if something is worth including, then it's worth including it as data.